Create migration source
curl --request POST \
--url https://{host}/api/supervisors/{name}/migration/providers \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"caCert": "<string>",
"insecureSkipVerify": true,
"name": "<string>",
"password": "<string>",
"type": "<string>",
"url": "<string>",
"useSupervisorVCenter": true,
"user": "<string>",
"vcenter": "<string>",
"vddkImage": "<string>"
}
'import requests
url = "https://{host}/api/supervisors/{name}/migration/providers"
payload = {
"caCert": "<string>",
"insecureSkipVerify": True,
"name": "<string>",
"password": "<string>",
"type": "<string>",
"url": "<string>",
"useSupervisorVCenter": True,
"user": "<string>",
"vcenter": "<string>",
"vddkImage": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
caCert: '<string>',
insecureSkipVerify: true,
name: '<string>',
password: '<string>',
type: '<string>',
url: '<string>',
useSupervisorVCenter: true,
user: '<string>',
vcenter: '<string>',
vddkImage: '<string>'
})
};
fetch('https://{host}/api/supervisors/{name}/migration/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/migration/providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'caCert' => '<string>',
'insecureSkipVerify' => true,
'name' => '<string>',
'password' => '<string>',
'type' => '<string>',
'url' => '<string>',
'useSupervisorVCenter' => true,
'user' => '<string>',
'vcenter' => '<string>',
'vddkImage' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/migration/providers"
payload := strings.NewReader("{\n \"caCert\": \"<string>\",\n \"insecureSkipVerify\": true,\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"type\": \"<string>\",\n \"url\": \"<string>\",\n \"useSupervisorVCenter\": true,\n \"user\": \"<string>\",\n \"vcenter\": \"<string>\",\n \"vddkImage\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/migration/providers")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"caCert\": \"<string>\",\n \"insecureSkipVerify\": true,\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"type\": \"<string>\",\n \"url\": \"<string>\",\n \"useSupervisorVCenter\": true,\n \"user\": \"<string>\",\n \"vcenter\": \"<string>\",\n \"vddkImage\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/migration/providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"caCert\": \"<string>\",\n \"insecureSkipVerify\": true,\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"type\": \"<string>\",\n \"url\": \"<string>\",\n \"useSupervisorVCenter\": true,\n \"user\": \"<string>\",\n \"vcenter\": \"<string>\",\n \"vddkImage\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"connected": true,
"fromSupervisorVCenter": true,
"inventoryReady": true,
"name": "<string>",
"ready": true,
"tlsVerified": true,
"type": "<string>",
"conditions": [
{}
],
"plans": [
"<string>"
],
"url": "<string>",
"vcenter": "<string>",
"vddkImage": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}vms
Create migration source
Its sources (Forklift Providers) and their inventory — migration_sources.go.
Authorisation: migration:CreateProvider on krn:celum:supervisor:{name}:migration:*.
Assistant tool: create_migration_source
POST
/
api
/
supervisors
/
{name}
/
migration
/
providers
Create migration source
curl --request POST \
--url https://{host}/api/supervisors/{name}/migration/providers \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"caCert": "<string>",
"insecureSkipVerify": true,
"name": "<string>",
"password": "<string>",
"type": "<string>",
"url": "<string>",
"useSupervisorVCenter": true,
"user": "<string>",
"vcenter": "<string>",
"vddkImage": "<string>"
}
'import requests
url = "https://{host}/api/supervisors/{name}/migration/providers"
payload = {
"caCert": "<string>",
"insecureSkipVerify": True,
"name": "<string>",
"password": "<string>",
"type": "<string>",
"url": "<string>",
"useSupervisorVCenter": True,
"user": "<string>",
"vcenter": "<string>",
"vddkImage": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
caCert: '<string>',
insecureSkipVerify: true,
name: '<string>',
password: '<string>',
type: '<string>',
url: '<string>',
useSupervisorVCenter: true,
user: '<string>',
vcenter: '<string>',
vddkImage: '<string>'
})
};
fetch('https://{host}/api/supervisors/{name}/migration/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/migration/providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'caCert' => '<string>',
'insecureSkipVerify' => true,
'name' => '<string>',
'password' => '<string>',
'type' => '<string>',
'url' => '<string>',
'useSupervisorVCenter' => true,
'user' => '<string>',
'vcenter' => '<string>',
'vddkImage' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/migration/providers"
payload := strings.NewReader("{\n \"caCert\": \"<string>\",\n \"insecureSkipVerify\": true,\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"type\": \"<string>\",\n \"url\": \"<string>\",\n \"useSupervisorVCenter\": true,\n \"user\": \"<string>\",\n \"vcenter\": \"<string>\",\n \"vddkImage\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/migration/providers")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"caCert\": \"<string>\",\n \"insecureSkipVerify\": true,\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"type\": \"<string>\",\n \"url\": \"<string>\",\n \"useSupervisorVCenter\": true,\n \"user\": \"<string>\",\n \"vcenter\": \"<string>\",\n \"vddkImage\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/migration/providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"caCert\": \"<string>\",\n \"insecureSkipVerify\": true,\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"type\": \"<string>\",\n \"url\": \"<string>\",\n \"useSupervisorVCenter\": true,\n \"user\": \"<string>\",\n \"vcenter\": \"<string>\",\n \"vddkImage\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"connected": true,
"fromSupervisorVCenter": true,
"inventoryReady": true,
"name": "<string>",
"ready": true,
"tlsVerified": true,
"type": "<string>",
"conditions": [
{}
],
"plans": [
"<string>"
],
"url": "<string>",
"vcenter": "<string>",
"vddkImage": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.
Body
application/json
Response
object | null
Created.